Font::TTF::Features::Cvar(3)

NAME
Font::TTF::Features::Size - Class for Character Variants Feature Parameters

DESCRIPTION
Handles the Feature Parameters valus forCharacter Variants features

INSTANCE VARIABLES

INFILE
    The read file handle

OFFSET
    Location of the file in the input file

Format
    Table format - set to 0

UINameID
    The 'name' table name ID that specifies a string (or strings, for multiple languages) for a user-interface label for this feature

TooltipNameID
    The 'name' table name ID for tooltip text for the feature

SampleTextNameID
    The 'name' table name ID for sample text to illustrate the feature

NumNamedParms
    The number of named parameters

FirstNamedParmID
    The 'name' table name ID for the first named parameter

Characters
    An array holding the unicode values of the characters for which the feature provides glyph variants

METHODS

  $t->read
Reads the Feature Params

  $t->out($fh)
Writes the FeatureParams table to the output

  Font::TTF::Features::Sset->new()
Creates a new FeatureParams object. Values for INFILE and OFFSET canbe passed as parameters

AUTHOR
David Raymond <http://scripts.sil.org/FontUtils>.

LICENSING
Copyright (c) 1998-2016, SIL International (http://www.sil.org)

This module is released under the terms of the Artistic License 2.0. For details, see the full text of the license in the file LICENSE.